# -*- coding: utf-8 -*-
"""
place for simple regresions tests
"""

from django.test import TestCase
from django.contrib.auth import models as am
from contacts import models as cm

class ModelRegTest(TestCase):
    """
    regression tests for models
    """
    def setUp(self):
        self.usr1 = am.User.objects.create_user('admin', 'admin@no.lan', 'pass')
        self.struct1 = cm.Structure.objects.create(utilisateur_derniere_modification=self.usr1)
        self.db1 = self.struct1.donneesbio_set.create(annee=2001)
        self.db_cm1 = self.db1.commercialisation_set.create()
        self.db_cm2 = self.db1.commercialisation_set.create()

    def test_20140825_total_comm_donneesbio(self):
        """
        when saving DonneesBio it gets:
        TypeError: unsupported operand type(s) for +=: 'int' and 'NoneType'
        """
        total, ratio = self.db_cm2.get_total_ca_for_all_comm()
        self.assertEqual(total, 0)
        self.assertEqual(ratio, 0)
        
# EOF
